/* NoSuch MIDI - Copyright 1997 by Tim Thompson */

package com.nosuch.midi;

/**
 * Handle MIDI output.
 */

public interface MidiOutput {

	public void open() throws MidiException;
	public void reset();
	public void close() throws MidiException;
	public void schedule(MidiPhrase p, long offset) throws MidiException;
	public void schedule(byte[] b, long offset) throws MidiException;
	public void startRunning();
	public void stopRunning();

}
