/* NoSuch MIDI - Copyright 1997 by Tim Thompson */

package com.nosuch.cooking;

import com.nosuch.midi.*;

public class Matic {
	
	public Matic() {
	}

/*	static public MidiPhrase algorithmA(String word) {
		MidiPhrase r=bswww(word,true);
		return(r);
	}
*/
	
	public static MidiPhrase algorithmB(String word,int leng) {
System.out.println("algorithmB 1");
		int b = MidiSystem.clicksPerBeat();
System.out.println("algorithmB 2");
		MidiPhrase x = echoVariety(Alg.strnotes(word));
System.out.println("algorithmB 3");
		MidiPhrase w = polishit(x);
System.out.println("algorithmB 4");
		MidiPhrase r = cutitdown(w,leng*b);
System.out.println("algorithmB 5");
		return(r);
	}
	
	public static MidiPhrase wwwalg1(String word,int leng) {
/*
		s=word
		x=echoVariety(strnotes(s))
		w=polishit(x)
		r = cutitdown(w,leng*1b)
		writemf(r,"www.mid")
		writelines(r,"www.lines")
*/ return new MidiPhrase();
	}
	
	static public MidiPhrase wwwalg2(String word) {
/*
		r=bswww(word)
		writemf(r,"www.mid")
		writelines(r,"www.lines")
*/ return new MidiPhrase();
	}
	
	static public MidiPhrase cutitdown(MidiPhrase w,long desired) {

		int b = MidiSystem.clicksPerBeat();

		MidiPhrase r;
		while ( true ) {
			int m = 0;
			r = new MidiPhrase();
			int lng = 0;
			int n = 0;
			int mod = 2;
			while ( true ) {
				MidiPhrase p = Alg.cutTime(w,m*4*b,(m+1)*4*b);
				if ( p.size() == 0 )
					break;
				p.addTime(-m*4*b);
				if ( n == 0 ) {
					r.append(p);
					lng += 4*b;
					r.setLength(lng);
				}
				m++;
				n++;
				if ( n >= mod )
					n = 0;
			}
			if ( r.getLength() <= desired )
				break;
			// otherwise cut it some more
			w = r;
		}
		return(r);
	}
	
/*
	static public MidiPhrase bswww(String str,boolean major) {

		MidiPhrase bskey;
		MidiPhrase[] bsmajor = new MidiPhrase[10];
		MidiPhrase[] bsminor = new MidiPhrase[10];

		bskey = new MidiPhrase("e-o-2");

		bsmajor[ 1 ]= new MidiPhrase("e-o-2");
		bsmajor[ 2 ]= new MidiPhrase("e-o-2,f,g,b-");
		bsmajor[ 3 ]= new MidiPhrase("e-o-2,b-");
		bsmajor[ 4 ]= new MidiPhrase("e-o-2,b-");
		bsmajor[ 5 ]= new MidiPhrase("e-o-2,f,g,b-");
		bsmajor[ 6 ]= new MidiPhrase("e-o-2,b-");
		bsmajor[ 7 ]= new MidiPhrase("e-o-2,f,g,b-");
		bsmajor[ 8 ]= new MidiPhrase("e-o-2,b-");

		bsminor[ 1 ]= new MidiPhrase("e-o-2");
		bsminor[ 2 ]= new MidiPhrase("e-o-2,f,g-,b-");
		bsminor[ 3 ]= new MidiPhrase("e-o-2,b-");
		bsminor[ 4 ]= new MidiPhrase("e-o-2,b-");
		bsminor[ 5 ]= new MidiPhrase("e-o-2,f,g-,b-");
		bsminor[ 6 ]= new MidiPhrase("e-o-2,b-");
		bsminor[ 7 ]= new MidiPhrase("e-o-2,f,g-,b-");
		bsminor[ 8 ]= new MidiPhrase("e-o-2,b-");
		
		int b = MidiSystem.clicksPerBeat();
		int ntimes = 8;
		p0 = strnotes(str);
		dodetense = 1;
		MidiPhrase p1;
		if ( dodetense == 0 ) {
			p1 = p0;
		}
		else {
			p1 = new MidiPhrase();
			MidiPhraseEnumeration e = new MidiPhraseEnumeration(p0);
			MidiMsg n;
			while ( e.hasElements() ) {
				n = (MidiMsg)((MidiMsg)e.nextElement()).clone();
				if ( p1.size() == 0 )
					p1 = lastn = n;
				else {
					while ( Alg.tension(n,lastn) > 3 )
						n.setPitch(n.getPitch()+1);
				}
				p1.merge(n);
			}
		}
		p = Alg.scatimes(p1,8);
	
		guide = shuffle(Alg.repeat(p1,3*ntimes));
		guide = Alg.onBeat(guide,3*b);
		guide =  Alg.octaveFence(guide,72,72);
	
		MidiPhrase p2 = Alg.bsguide(major?bsmajor:bsminor,bskey,p,guide,1*b/4,p.getLength());
	
		long pend = Alg.latest(p2);
		p2a = Alg.onBeat(p2,2*b);
		p2b = Alg.gradinclude(p2,0.0,1.0,0);
		p2 = Alg.dedup(Alg.merge(p2a,p2b));
		p2 = Alg.octaveFence(p2,52,88);
	
		MidiPhrase p2r = Alg.reverse(p2);
		MidiPhrase p2rev = new MidiPhrase();
		long c = 4*b;
		for ( int n=0; ; n=n+2 ) {
			MidiPhrase z = Alg.cutTime(p2r,n*c,(n+1)*c);
			if ( z.size() == 0 )
				break;
			z.addTime(-n*c);
			z.setLength(c);
			p2rev.append(z);
		}
		p2.append(p2rev);
		p2.setChannel(1);	// main melody
	
		MidiPhrase p2x = Alg.makeRootEvery(p2,1*b);
		p2x = Alg.gradinclude(p2x,0.0,1.0);
		p2x = Alg.octaveFence(p2x,46,58);
		p2x.setChannel(2);	// piano
		p2.merge(p2x);
		long l = Alg.latest(p2);
		MidiPhrase p2ya = Alg.makeRootEvery(Alg.cutTime(p2,0,l/4),4*b);
		MidiPhrase p2yb = Alg.makeRootEvery(Alg.cutTime(p2,l/4,l/2),2*b);
		MidiPhrase p2yc = Alg.makeRootEvery(Alg.cutTime(p2,l/2,3*l/4),1*b);
		MidiPhrase p2yd = Alg.makeRootEvery(Alg.cutTime(p2,3*l/4,l),2*b);
		MidiPhrase p2y = Alg.merge(p2ya , p2yb , p2yc , p2yd);
		p2y = Alg.octaveFence(p2y,34,46);
		p2y.setChannel(3);	// bass
		p2.merge(p2y);
	
		// final little gliss, based on last note in bass
		MidiMsg lastnt = p2y.getNth(p2y.size());
		lastnt.setTime(0);
		lastnt.setDuration(4*b);

		MidiPhrase g = new MidiPhrase();
		g.append(new MidiNote(0,36,1,64,48));	// 'co1d48'
		g.append(new MidiNote(0,48,1,64,48));	// 'co2d48'
		g.append(new MidiNote(0,60,1,64,48));	// 'co3d48'
		g.append(new MidiNote(0,72,1,64,48));	// 'co4d48'
		g.append(new MidiNote(0,84,1,64,48));	// 'co5d48'

		MidiPhrase pf = Alg.bsguide(major?bsmajor:bsminor,bskey,
					lastnt,g,1*b/4,2*b+1*b/4);
		pf.setChannel(1);
		p2.append(pf);
	
		// proot = octaveFence(p,36,50)
		// proot = proot | transpose(proot,4) | transpose(proot,-5)
		
		MidiPhrase sus = Alg.sussect(2*b,1);
		MidiPhrase susp = (MidiPhrase)(sus.clone());
		while ( susp.getLength() < p2.getLength() )
			susp.append((MidiPhrase)(sus.clone()));
		susp.setChannel(1);
		// patches =  progchange(1,1)
		// 		| progchange(1,2)
		// 		|  progchange(1,3)
		MidiPhrase patches =  Alg.merge(Alg.progchange(47,1), 
						Alg.progchange(47,2), Alg.progchange(33,3));
		MidiPhrase p3 = Alg.merge(patches , p2 , susp);
		return(p3);
	}
*/
	
	static public MidiPhrase writelines(MidiPhrase p,String fn) {
/*
	        f = open(fn,"w")
	        xsize1 = string(1+latest(p))
	        put(f,"size "+xsize1+" 128\n")
	        xsize = string(latest(p))
		put(f,"line 0 0 "+xsize+" 0\n")		// top
		put(f,"line "+xsize+" 0 "+xsize+" 127\n")	// right
		put(f,"line 0 127 "+xsize+" 127\n")	// bottom
		put(f,"line 0 0 0 127\n")
	        for ( n in p ) {
			if ( n.type != NOTE )
				continue
	                ys = string(127-n.pitch)
	                put(f,"line "+string(n.time)+" "+ys+" "
	                                +string(n.time+n.dur)+" "+ys+"\n")
	        }
	        close(f)
*/ return new MidiPhrase();
	}
	
	static public MidiPhrase echoVariety(MidiPhrase w) {
		int b = MidiSystem.clicksPerBeat();
		MidiPhrase w2 = Alg.addRootEvery(w,(int)(2*b));
		MidiPhrase w3 = Alg.arpeggio(w2);
		MidiPhrase w4 = Alg.echo(w3,2,4*b,0.9);
		MidiPhrase w4b = Alg.echo(w4,2,2*b,0.9);
		MidiPhrase w5 = Alg.echo(w4b,4,1*b/8,0.9);
		MidiPhrase w6 = Alg.echo(w5,4,1*b/16,0.9);
		MidiPhrase w7 = Alg.arpeggio(w6);
		MidiPhrase w8 = Alg.transposeSeqInPlace(w7,w2);
		MidiPhrase w9 = Alg.octaveFence(w8,54,90);
		MidiPhrase w10 = Alg.addRootEvery(w9,4*b);
		MidiPhrase w11 = Alg.addRootEvery(w10,2*b);
		MidiPhrase w12 = Alg.scaTimes(w11,0.5);
		return(w12);
	}
	static public MidiPhrase polishit(MidiPhrase w) {
		int b = MidiSystem.clicksPerBeat();
		long leng = Alg.latest(w);
		MidiPhrase m = Alg.mono(w,2);	// random priority
		MidiPhrase m2 = Alg.octaveFence(m,74,100);

		m2.setChannel(2);
		MidiPhrase m2b = Alg.echo(Alg.everyNth(m2,4),4,1*b/4,0.80);
		MidiPhrase m2_m2b = Alg.merge(m2,m2b);
		MidiPhrase m2c1 = Alg.everyRandomNth(Alg.cutTime(m2_m2b,leng/4,leng/3),4);
		MidiPhrase m2c2 = Alg.everyRandomNth(Alg.cutTime(m2_m2b,leng/3,leng/2),3);
		MidiPhrase m2c3 = Alg.cutTime(m2_m2b,leng/2,leng);
		MidiPhrase m2c = Alg.merge(m2c1 , m2c2 , m2c3);
		// add some roots to melody toward end
		MidiPhrase m2mre = Alg.makeRootEvery(Alg.cutTime(m2c,2*leng/3),4*b);
		MidiPhrase m2final = Alg.merge(m2c,m2mre);
	
		// drums
		MidiPhrase m3 = Alg.octaveFence(m,54,64);
		m3.setChannel(10);
		MidiPhrase m4 = Alg.everyNth(m3,2);
		MidiPhrase m5 = Alg.everyNth(m3,3);
		MidiPhrase m6 = Alg.everyNth(m3,4);
		MidiPhrase m7 = Alg.quantize(Alg.cutTime( Alg.everyNth(m3,3),3*leng/4,leng),1*b);
		m4.setPitch(61);
		m5.setPitch(60);
		m6.setPitch(64);
		m7.setPitch(70);
		m4 = Alg.quantize(m4,1*b);
		MidiPhrase m5b = Alg.echo(Alg.everyNth(m5,9),4,1*b/4,0.80);
		MidiPhrase m6b = Alg.echo(Alg.everyNth(m6,7),4,1*b/4,0.80);
		MidiPhrase m7b = Alg.echo(Alg.everyNth(m7,3),4,1*b/4,0.80);
		MidiPhrase m7b1 = Alg.cutTime(m7b,0,7*leng/8);
		MidiPhrase m7b2 = Alg.echo(Alg.cutTime(m7b,7*leng/8,leng),4,1*b/4,0.95);
		m7b = Alg.merge(m7b1,m7b2);
		MidiPhrase drumsfinal = Alg.cutTime(
					Alg.merge(Alg.merge(m4,m5,m6,m7),Alg.merge(m5b,m6b,m7b)),
					leng/2,leng);
		drumsfinal.multiplyVelocity(0.8);
	
		int nnotes = w.size();
		MidiPhrase www = Alg.echo(new MidiPhrase(w.getNth(nnotes)),16,1*b/4,0.95);
		MidiPhrase www2 = www;
		www2.setChannel(2);
	
		return(Alg.merge(Alg.merge(m2final,drumsfinal),Alg.merge(w,www,www2)));
	}

	static public void main(String args[]) {
		long t1 = System.currentTimeMillis();
System.out.println("Matic begin time="+t1);
		MidiPhrase p = Alg.strnotes("a");
		p.append(Alg.strnotes("b"));

		MidiPhrase q = echoVariety(p);
		System.out.println("q.size="+Integer.toString(q.size()));
		MidiPhrase r = polishit(q);
		System.out.println("r.size="+Integer.toString(r.size()));

		long t2 = System.currentTimeMillis();
System.out.println("Matic mid time="+t2+"  diff="+(t2-t1));
		r = algorithmB("a",256);

System.out.println("algorithmB.size="+Integer.toString(r.size()));

		t2 = System.currentTimeMillis();
System.out.println("Matic mid time="+t2+"  diff="+(t2-t1));
	}
}
